POST V1/GHG.{ext}/ManageAsset

manage asset search

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.GHG.Entities.AssetSearch
NameDescriptionTypeAdditional information
AssetId

No description available

integer

None.

AssetCategoryId

No description available

integer

None.

AssetCategoryName

No description available

string

None.

AssetName

No description available

string

None.

AssetNumber

No description available

string

None.

GroupId

No description available

string

None.

GroupName

No description available

string

None.

SiteId

No description available

integer

None.

SiteNumber

No description available

string

None.

SiteName

No description available

string

None.

City

No description available

string

None.

State

No description available

string

None.

Zip

No description available

string

None.

Utility

No description available

string

None.

Address

No description available

string

None.

MonthName

No description available

string

None.

Month

No description available

string

None.

Year

No description available

string

None.

Spend

No description available

decimal number

None.

Consumption

No description available

decimal number

None.

UtilityTypeGroup

No description available

string

None.

UtilityTypeId

No description available

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "assetId": 1,
  "assetCategoryId": 1,
  "assetCategoryName": "sample string 1",
  "assetName": "sample string 2",
  "assetNumber": "sample string 3",
  "groupId": "sample string 4",
  "groupName": "sample string 5",
  "siteId": 1,
  "siteNumber": "sample string 6",
  "siteName": "sample string 7",
  "city": "sample string 8",
  "state": "sample string 9",
  "zip": "sample string 10",
  "utility": "sample string 11",
  "address": "sample string 12",
  "monthName": "sample string 13",
  "month": "sample string 14",
  "year": "sample string 15",
  "spend": 1.0,
  "consumption": 1.0,
  "utilityTypeGroup": "sample string 16",
  "utilityTypeId": 1
}

application/xml, text/xml

Sample:
<AssetSearch xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.GHG.Entities">
  <Address>sample string 12</Address>
  <AssetCategoryId>1</AssetCategoryId>
  <AssetCategoryName>sample string 1</AssetCategoryName>
  <AssetId>1</AssetId>
  <AssetName>sample string 2</AssetName>
  <AssetNumber>sample string 3</AssetNumber>
  <City>sample string 8</City>
  <Consumption>1</Consumption>
  <GroupId>sample string 4</GroupId>
  <GroupName>sample string 5</GroupName>
  <Month>sample string 14</Month>
  <MonthName>sample string 13</MonthName>
  <SiteId>1</SiteId>
  <SiteName>sample string 7</SiteName>
  <SiteNumber>sample string 6</SiteNumber>
  <Spend>1</Spend>
  <State>sample string 9</State>
  <Utility>sample string 11</Utility>
  <UtilityTypeGroup>sample string 16</UtilityTypeGroup>
  <UtilityTypeId>1</UtilityTypeId>
  <Year>sample string 15</Year>
  <Zip>sample string 10</Zip>
</AssetSearch>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.GHG.Entities.AssetSearch
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.GHG.Entities.AssetSearch

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "AssetSearch",
  "response": {
    "assetId": 1,
    "assetCategoryId": 1,
    "assetCategoryName": "sample string 1",
    "assetName": "sample string 2",
    "assetNumber": "sample string 3",
    "groupId": "sample string 4",
    "groupName": "sample string 5",
    "siteId": 1,
    "siteNumber": "sample string 6",
    "siteName": "sample string 7",
    "city": "sample string 8",
    "state": "sample string 9",
    "zip": "sample string 10",
    "utility": "sample string 11",
    "address": "sample string 12",
    "monthName": "sample string 13",
    "month": "sample string 14",
    "year": "sample string 15",
    "spend": 1.0,
    "consumption": 1.0,
    "utilityTypeGroup": "sample string 16",
    "utilityTypeId": 1
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.